Subject: [eman] Comments for draft-quittek-eman-reference-model-01

From: "Mielke, William F (Bill)" <[email-masked]>
Date: Wed, 30 Mar 2011 05:22:17 -0500

See below.  I will also forward an annotated PDF to the authors under separate email which includes minor typographical comments.

William F. Mielke
Alcatel-Lucent
Distinguished Member of Technical Staff
6200 East Broad Street
Room: 4B01-1V
Columbus, OH  43213-1530
Email: [email-masked]
Phone: 614 367 5628
Fax: 614 367 5965

"Live like you're going to die tomorrow.
 Learn like you're going to live forever."

    - Albert Einstein

-------------------------------------------------
Comments on draft-quittek-eman-reference-model-01
-------------------------------------------------

Overall I find this to be a very good document.  It does a very nice job of cleanly partitioning the target domain into understandable, non-overlapping pieces and clearly highlights the relationships between those pieces.  It is concise, understandable, and should serve as a good reference around which we can organize our on-going discussions.

Section 3.2.2. Power Source:

I think that we need to discuss a bit further how best to account for the energy which is stored in internal batteries.  You have taken the position that charging the battery counts as having "consumed" the energy in question, and hence when the device is continuing to operate on battery power it is considered to be no longer consuming energy.  This makes sense when you consider a device to be a black box and therefore the presence of an internal battery is not visible.

There is an alternative view which takes a more white box perspective which accounts for the battery as being a storage device.  In this view charging the battery is not necessarily viewed as being a net "consumption" of the energy which needs to be accounted for.  In this view "consumption" means conversion of electrical energy into some form of "useful work".  Thus, when a device stores energy in an internal battery it is not actually converting the electrical energy into useful work.  That will only happen at a later time when the battery is being discharged by the device while it is performing whatever service it was designed for.

It is not clear to me that this is a purely academic distinction.  It goes to the question of how to account for the energy being used and when it shall be considered "consumed" and from whose perspective these terms apply.  Clearly from the perspective of the wall socket charging the battery is "consuming" energy.  I would argue that from the perspective of the device performing useful work (i.e. that function for which it was designed) merely charging the battery is not actually "consuming" the energy.

When one considers external rather than internal batteries is charging the batteries a consumer of energy?  Again it depends on one's frame of reference.  Clearly from the perspective of the power grid it is drawing power, but in what sense is a battery or any storage device a net consumer of energy (aside from internal resistances and self-discharging)?

I am not advocating for any particular view here.  I am merely pointing out that there is an alternative view which needs to be analyzed, understood, and rationalized with the final outcome.

Section 3.2.4.2. Power Source Monitor:

You mention that this will typically only report "on" or "off".  I would expect this to also (optionally) provide access to other interesting information about the source in terms of total available capacity it can supply, the electrical parameters it supports in terms of voltage and/or amperage, and optionally it may report on the ultimate source of the energy supplied (e.g. coal, natural gas, nuclear, wind, solar) and some of the key characteristics of the source such as cost/KWH, greenhouse gas loading, etc.

Section 3.5.6. Power over Ethernet Switch

You mention that the PoE switch contains a power source.  I think that we need to be careful about our use of the term power source ... or at least we need to agree on the definition of the term.

>From my perspective the PoE switch contains a power SUPPLY which is not the same thing as a power SOURCE, at least by my definition of SOURCE.  The power SUPPLY is merely a fancy part of the power distribution network which transfers energy from the true power SOURCE to the devices it serves.  It's purpose is to provide various conditioning and filtering on the power before it is delivered to the devices but it is not a net source of energy.

Given this I think that we may need to crisp up our definition of the term Power Source.